function init()
{
  var container = document.getElementById('wp_bubble');
  for (var i = 0; i < 50; i++)
  {
    container.appendChild(create_bubble());
  }
}

function randomInteger(low, high)
{
  return low + Math.floor(Math.random() * (high - low));
}

function randomFloat(low, high)
{
  return low + Math.random() * (high - low);
}

function pixelValue(value)
{
  return value + 'px';
}

function durationValue(value)
{
  return value + 's';
}

function create_bubble()
{
  var comeupDiv = document.createElement('div');
  var swingDiv = document.createElement('div');
  var image = document.createElement('img');
  var rand_num = randomInteger(1, 6);
  swingDiv.className = "bubble" + rand_num;
  image.src = './images/bubble.png';
  
  comeupDiv.style.top = pixelValue(1136);
  comeupDiv.style.left = pixelValue(randomInteger(-20, 620));
  comeupDiv.style.opacity = '0';
  
  var ComeupDuration = durationValue(randomFloat(2, 3)*rand_num);
  var SwingDuration = durationValue(randomFloat(3, 5)*rand_num);
  var ComeupDelay = durationValue(randomFloat(0, 3)*rand_num);
  
  var userAgent = window.navigator.userAgent.toLowerCase();
	if (userAgent.indexOf("firefox") > -1) {
  	comeupDiv.style.MozAnimationName = 'fade, comeup';
  	swingDiv.style.MozAnimationName = 'swing';
  	comeupDiv.style.MozAnimationDuration = ComeupDuration + ', ' + ComeupDuration;
  	comeupDiv.style.MozAnimationDelay = ComeupDelay + ', ' + ComeupDelay;
  	swingDiv.style.MozAnimationDuration = SwingDuration ;
	}
	else if (userAgent.indexOf("opera") > -1) {
//    alert("Opera");
  	comeupDiv.style.OAnimationName = 'fade, comeup';
  	swingDiv.style.OAnimationName = 'swing';
  	comeupDiv.style.OAnimationDuration = ComeupDuration + ', ' + ComeupDuration;
  	comeupDiv.style.OAnimationDelay = ComeupDelay + ', ' + ComeupDelay;
  	swingDiv.style.OAnimationDuration = SwingDuration ;
	}
	else if (userAgent.indexOf("safari") > -1 || userAgent.indexOf("chrome") > -1 || userAgent.indexOf("webkit") > -1) {
  	comeupDiv.style.webkitAnimationName = 'fade, comeup';
  	swingDiv.style.webkitAnimationName = 'swing';
  	comeupDiv.style.webkitAnimationDuration = ComeupDuration + ', ' + ComeupDuration;
  	comeupDiv.style.webkitAnimationDelay = ComeupDelay + ', ' + ComeupDelay;
  	swingDiv.style.webkitAnimationDuration = SwingDuration ;
	}
	else {
  	comeupDiv.style.AnimationName = 'fade, comeup';
  	swingDiv.style.AnimationName = 'swing';
  	comeupDiv.style.AnimationDuration = ComeupDuration + ', ' + ComeupDuration;
  	comeupDiv.style.AnimationDelay = ComeupDelay + ', ' + ComeupDelay;
  	swingDiv.style.AnimationDuration = SwingDuration ;
	}
  
  
  
  swingDiv.appendChild(image);
  comeupDiv.appendChild(swingDiv);
  
  return comeupDiv;
}
